Incidencia #44662

CI: Make meson build in Qt6-mode

Abrir Fecha: 2022-05-25 12:26 Última actualización: 2022-06-11 16:39

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
2

Details

CI meson build: Install Qt6-libraries, and make the build in Qt6-mode.

Depends on #43598

Ticket History (3/8 Histories)

2022-05-25 12:26 Updated by: cazfi
  • New Ticket "CI: Make meson build in Qt6-mode" created
2022-05-29 01:31 Updated by: cazfi
Comentario

Maybe we should switch all the ubuntu-22.04 runners to Qt6-mode at the same time, now that it's possible.

2022-05-30 12:02 Updated by: cazfi
Comentario

#44723 affects the meson job, but I think we can go forward with this by simply installing newer meson than ubuntu-22.04 ships.

2022-05-31 22:43 Updated by: cazfi
Comentario

Reply To cazfi

#44723 affects the meson job, but I think we can go forward with this by simply installing newer meson than ubuntu-22.04 ships.

I'm for that approach in master. Qt6 is the future of that branch we want to keep on testing.

S3_1 is a bit different story. Our plan is to release 3.1 before ubuntu-24.04 replaces ubuntu-22.04. One could argue that people using meson based build on latest ubuntu LTS at the time of freeciv-3.1 release are affected by #44723, and can only build in Qt5-mode, and thus we should keep on testing that configuration (ubuntu's own meson instead of separately installed one, Qt5 instead of Qt6)

2022-06-04 19:56 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
Comentario

Reply To cazfi

(ubuntu's own meson instead of separately installed one, Qt5 instead of Qt6)

That's what attached S3_1 patch does.

2022-06-11 16:39 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar